/* eslint-disable @typescript-eslint/interface-name-prefix */
/** Is the app running in dev mode? */
declare const __DEV__: boolean;

/** Is the app being built to run on Darwin? */
declare const __DARWIN__: boolean;

/** Is the app being built to run on Win32? */
declare const __WIN32__: boolean;

/** Is the app being built to run on Linux? */
declare const __LINUX__: boolean;

/**
 * The currently executing process kind, this is specific to desktop
 * and identifies the processes that we have.
 */
declare const __PROCESS_KIND__: 'main' | 'ui';
